<template>
  <div class="bottom" id="bottom" :style="customStyle" v-show="show">
    <div class="mapTool">
      <div class="tool-rotate" @click="flyBack" title="复位">
        <img src="@/assets/img/collection/recover.png" />
      </div>
    </div>
    <div class="mapTool2" v-show="test.fwval">
      <div class="tool-rotate" @click="zoomIn" title="放大">
        <img src="@/assets/img/collection/add.png" />
      </div>
      <div class="border"></div>
      <div class="tool-rotate" @click="zoomOut" title="缩小">
        <img src="@/assets/img/collection/reduce.png" />
      </div>
    </div>
    <!-- <div class="mapTool">
        <el-button
          class="tool-trueNorth"
          v-show="test.
          "
          @click="trueNorth"
          title="正北"
        >
          <img src="../../../static/img/image/zbz.png" />
        </el-button>
      </div> -->
    <!-- <div class="mapTool">
        <el-button
          class="tool-fullScreen"
          v-show="test.qpval"
          @click="fullScreen"
          title="全屏"
        >
          <img src="../../../static/img/image/qp.png" />
        </el-button>
      </div> -->
  </div>
</template>

<style scoped>
.mapTool {
  width: 0.42rem;
  /* border-radius: 10px; */
  /* background: #ffffff; */
  /* margin-bottom: 8px; */
}
.mapTool .tool-rotate img {
  width: 100%;
}
.mapTool2 {
  width: 0.32rem;
  margin: auto;
  background: #ffffff;
  box-shadow: 0px 3px 6px 0px rgba(0, 0, 0, 0.21);
  border-radius: 10px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
.mapTool2 .tool-rotate {
  height: 0.33rem;
  line-height: 0.33rem;
}

.mapTool2 .tool-rotate img {
  width: 0.17rem;
}

.border {
  width: 100%;
  height: 1px;
  border: 0.005rem solid #f3f3f3;
}
</style>
    
<script>
import Bus from "../../js/bus.js";
import store from "@/utils/store";

export default {
  props: ["test"],
  data() {
    return {
      customStyle: {
        position: "absolute",
        bottom: "0.4rem",
        right: "0.1rem",
      },
      state: store.layerPanel,
      show: true,
      parentdata: {
        fwval: false,
        zbzval: false,
        qpval: false,
        zymlval: false,
        kjcxval: false,
        dxmsval: false,
        snmsval: false,
        ssval: false,
      },
      clickIndex: 0,
      // isShowHistory: false,
      camera: {
        position: [116.52217697339846, 39.75979421847914, 17045.47005612415],
        orientation: {
          heading: 0,
          pitch: -90,
          roll: 0,
        },
      },
      modes: [
        {
          id: "mode-3d",
          name: "3D",
          mode: 3,
        },
        {
          id: "mode-2d",
          name: "2D",
          mode: 2,
        },
      ],
    };
  },
  mounted() {
    // Bus.$on("myMsg", (myMsg) => {
    //   this.show = myMsg;
    // });
  },
  watch: {
    "state.show": {
      handler(newVal) {
        if (newVal) {
          this.customStyle = {
            position: "absolute",
            top: "calc(0.75rem + 40px)",
            right: "0.1rem",
          };
        } else {
          this.customStyle = {
            position: "absolute",
            bottom: "0.4rem",
            right: "0.1rem",
          };
        }
      },
      immediate: true,
    },
  },
  methods: {
    modeClick(index, mode) {
      this.clickIndex = index;
      Viewer.scene.mode = mode;
    },
    flyBack() {
      const loading = this.$loading({
        lock: true,
        text: "镜头复位中...",
        spinner: "el-icon-loading",
        background: "rgba(0, 0, 0, 0.7)",
      });

      // let p = sgworld.Navigate.getDegrees();
      // console.log("经纬度:", p);
      sgworld.Navigate.flyToPointsInterest(
        {
          destination: new Cesium.Cartesian3.fromDegrees(
            this.camera.position[0],
            this.camera.position[1],
            this.camera.position[2]
          ),
          orientation: {
            heading: Cesium.Math.toRadians(this.camera.orientation.heading),
            pitch: Cesium.Math.toRadians(this.camera.orientation.pitch),
            roll: Cesium.Math.toRadians(this.camera.orientation.roll),
          },
        },
        () => {
          loading.close();
        }
      );
    },
    fullScreen() {
      Viewer.fullscreenButton.viewModel.command(true);
    },
    zoomIn() {
      $(".navigation-control")[0].click();
    },
    zoomOut() {
      $(".navigation-control-last")[0].click();
    },
    trueNorth() {
      sgworld.Navigate.flyToPointsInterest({
        destination: Viewer.camera.position,
        orientation: {
          heading: 0,
          pitch: Viewer.camera.pitch,
          roll: 0,
        },
      });
    },
    // showHistory() {
    //   this.isShowHistory = !this.isShowHistory;
    //   if (this.isShowHistory) {
    //     $(".bottomLeft").show();
    //   } else {
    //     $(".bottomLeft").hide();
    //   }
    //   historyImager && (historyImager.show = this.isShowHistory);
    // },
  },
};
</script>